# uproot.source.http.make_connection

Defined in uproot.source.http on line 32.

uproot.source.http.make_connection(parsed_url: ParseResult, timeout: float | None)
  Parameters:

    - parsed_url (`urllib.parse.ParseResult`) – The URL to connect to, which may be HTTP or HTTPS.

    - timeout (None or float) – An optional timeout in seconds.

  Creates a `http.client.HTTPConnection` or a `http.client.HTTPSConnection`, depending on the URL scheme.